std::regex_traits< _Ch_type > Class Template Reference
Regular Expressions

## Public Types

typedef _RegexMask | char_class_type
typedef _Ch_type | char_type
typedef std::locale | locale_type
typedef std::basic_string< char_type > | string_type

## Public Member Functions

| regex_traits ()
locale_type | getloc () const
locale_type | imbue (locale_type __loc)
bool | isctype (_Ch_type __c, char_class_type __f) const
template<typename _Fwd_iter >
char_class_type | lookup_classname (_Fwd_iter __first, _Fwd_iter __last, bool __icase=false) const
template<typename _Fwd_iter >
string_type | lookup_collatename (_Fwd_iter __first, _Fwd_iter __last) const
template<typename _Fwd_iter >
string_type | transform (_Fwd_iter __first, _Fwd_iter __last) const
template<typename _Fwd_iter >
string_type | transform_primary (_Fwd_iter __first, _Fwd_iter __last) const
char_type | translate (char_type __c) const
char_type | translate_nocase (char_type __c) const
int | value (_Ch_type __ch, int __radix) const

## Static Public Member Functions

static std::size_t | length (const char_type *__p)

## Protected Attributes

locale_type | _M_locale

## Detailed Description

### template<typename _Ch_type>
class std::regex_traits< _Ch_type >

Describes aspects of a regular expression.

A regular expression traits class that satisfies the requirements of section [28.7].

The class regex is parameterized around a set of related types and functions used to complete the definition of its semantics. This class satisfies the requirements of such a traits class.

Definition at line 81 of file regex.h.

The documentation for this class was generated from the following files:

- regex.h
- regex.tcc